
-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]			= "rockcrab"
	actor[cp_model_dir]				= "beasties"
	actor[cp_model_name]			= "rockcrab"

	actor[cp_remove_between_stage]	= 2
--	actor[cp_incoming_arrow]		= 1
	actor[cp_bruise_fruit]			= 1

	actor[cp_actor_type]			= cat_block + cat_explosion
	actor[cp_these_collide_with_me]	= cat_bullet + cat_crystal

	actor[cp_in_beastie_count]		= 0

	actor[cp_move_type]				= cmt_track

	actor[cp_launch_scale_min]		= 60.0
	actor[cp_launch_scale_max]		= 60.0

	actor[cp_hit_power]			= -0.05

	-- movement
	
	actor[cp_turn_lock_angle_inner]		= 45.0
	actor[cp_turn_lock_angle_outer]		= 90.0
	
	actor[cp_move_speed_min]		= 0.1
	actor[cp_move_speed_max]		= 0.1
	actor[cp_move_acceleration]		= 0.1
	actor[cp_move_deceleration]		= 0.1
	actor[cp_move_inertia_accn]		= 0.0
	actor[cp_move_inertia_decn]		= 0.0

	actor[cp_target_stop_dist]		= 3.0

	actor[cp_turn_speed_still]			= 5.0
	actor[cp_turn_acceleration_still]	= 0.5
	actor[cp_turn_inertia_still]		= 0.5
	actor[cp_turn_speed_moving]			= 1.0
	actor[cp_turn_acceleration_moving]	= 0.5
	actor[cp_turn_inertia_moving]		= 0.5

-- leave me
	c_preload_model( actor )
-- leave me

	c_add_shadow_to_bone( "bodbone", 9.0 )	

	c_add_particle_to_anim( "emerge", "main", "crab-emerge" )
	c_add_particle_to_anim( "emerge", "main", "crab-emerge-twinkle" )
	c_add_particle_to_anim( "byebye", "main", "crab-emerge" )
	c_add_particle_to_anim( "byebye", "main", "crab-emerge-twinkle" )

	c_set_random_anim( "walk", 200.0, 200.0, 0.0, 0.0 )
	c_set_random_anim( "blink", 100.0, 100.0, 0.1, 1.0 )

	c_add_sound_to_speed( "general_crab_walk", 1.0 )

